{
  "name": "penta-backoffice-mfe-settings",
  "version": "0.2.0",
  "description": "Penta Backoffice MFE Settings",
  "private": true,
  "dependencies": {
    "@babel/runtime": "^7.15.4",
    "@coreui/coreui": "2.1.12",
    "@coreui/coreui-plugin-chartjs-custom-tooltips": "1.2.0",
    "@coreui/icons": "0.2.0",
    "@coreui/react": "2.5.8",
    "@sentry/react": "^6.11.0",
    "@sentry/tracing": "^6.11.0",
    "accounting": "^0.4.1",
    "apisauce": "^0.15.2",
    "axios": "^0.18.0",
    "bootstrap": "~4.4.1",
    "chart.js": "^2.7.2",
    "classnames": "^2.2.6",
    "core-js": "^2.5.7",
    "enzyme": "^3.3.0",
    "enzyme-adapter-react-16": "^1.1.1",
    "file-saver": "^2.0.2",
    "flag-icon-css": "^3.0.0",
    "font-awesome": "^4.7.0",
    "jquery": "^3.5.1",
    "js-base64": "^3.6.0",
    "launchdarkly-react-client-sdk": "~2.17.0",
    "lodash": "^4.17.20",
    "moment": "^2.22.2",
    "prop-types": "^15.6.1",
    "qs": "^6.9.4",
    "react": "^17.0.2",
    "react-chartjs-2": "^2.7.2",
    "react-copy-to-clipboard": "^5.0.1",
    "react-dom": "^17.0.2",
    "react-dropzone": "^4.2.11",
    "react-flatpickr": "3.6.4",
    "react-helmet": "^5.2.1",
    "react-infinite-scroll-component": "^6.1.0",
    "react-infinite-scroller": "^1.2.4",
    "react-loadable": "^5.4.0",
    "react-redux": "^7.0.3",
    "react-router": "^5.2.0",
    "react-router-dom": "^5.2.0",
    "react-router-redux": "^4.0.8",
    "react-select": "~3.0.4",
    "react-test-renderer": "^17.0.2",
    "react-toastr": "^3.0.0",
    "reactstrap": "^6.1.0",
    "redux": "^4.0.0",
    "redux-devtools-extension": "^2.13.8",
    "redux-form": "^8.1.0",
    "redux-saga": "^1.1.3",
    "reduxsauce": "^1.0.0",
    "reselect": "~3.0.1",
    "simple-line-icons": "2.4.1",
    "styled-components": "^4.4.1",
    "ua-parser-js": "^0.7.22",
    "uuid": "^8.3.1"
  },
  "devDependencies": {
    "@babel/core": "^7.15.5",
    "@babel/plugin-proposal-class-properties": "^7.14.5",
    "@babel/plugin-transform-runtime": "^7.15.0",
    "@babel/preset-env": "^7.15.6",
    "@babel/preset-react": "^7.14.5",
    "babel-jest": "^23.0.1",
    "babel-loader": "^8.2.2",
    "clean-webpack-plugin": "^4.0.0",
    "copy-webpack-plugin": "^9.0.1",
    "css-loader": "^6.3.0",
    "css-minimizer-webpack-plugin": "^3.0.2",
    "dotenv-webpack": "^7.0.3",
    "eslint-plugin-babel": "^4.1.2",
    "html-webpack-plugin": "^5.3.2",
    "interpolate-html-plugin": "^4.0.0",
    "mini-css-extract-plugin": "^2.3.0",
    "node-sass": "^6.0.1",
    "node-sass-chokidar": "^1.5.0",
    "npm-run-all": "^4.1.2",
    "prettier": "^1.19.1",
    "resolve-url-loader": "^4.0.0",
    "sass-loader": "^12.1.0",
    "style-loader": "^3.3.0",
    "webpack": "^5.53.0",
    "webpack-cli": "^4.8.0",
    "webpack-dev-server": "^4.2.1",
    "webpack-merge": "^5.8.0"
  },
  "resolutions": {
    "flatpickr": "4.6.0"
  },
  "proxy": "https://backoffice.internal.test-de.getpenta.com/",
  "scripts": {
    "build-css": "node-sass-chokidar --include-path ./node_modules ./src/scss -o ./src/scss",
    "watch-css": "npm run build-css && node-sass-chokidar --include-path ./node_modules ./src/scss -o ./src/scss --watch --recursive",
    "start-js": "react-scripts start",
    "start": "REACT_APP_PENTA_BUSINESS_ID=bcf6aa20d8e211e78e67998bd6226335 REACT_APP_LD_CLIENT_ID=5cf5473623afbb076afabdc4 REACT_APP_REFERRAL_API=https://referral.internal.test-de.getpenta.com/rfrrl npm-run-all -p watch-css start-js",
    "start-remote": "REACT_APP_HOST_ENV=LOCAL REACT_APP_PENTA_BUSINESS_ID=bcf6aa20d8e211e78e67998bd6226335 REACT_APP_LD_CLIENT_ID=5cf5473623afbb076afabdc4 REACT_APP_REFERRAL_API=https://referral.internal.test-de.getpenta.com/rfrrl REACT_APP_SENTRY_DSN=https://fafa9ed63f194533b31a62dfabaa23ab@o319712.ingest.sentry.io/2234797 webpack serve --config config/webpack.dev.js",
    "build-js": "react-scripts build",
    "build": "npm-run-all build-css build-js",
    "build:test": "REACT_APP_HOST_ENV=DEMO REACT_APP_PENTA_BUSINESS_ID=bcf6aa20d8e211e78e67998bd6226335 REACT_APP_LD_CLIENT_ID=5cf5473623afbb076afabdc4 REACT_APP_REFERRAL_API=https://referral.internal.test-de.getpenta.com/rfrrl REACT_APP_SENTRY_DSN=https://fafa9ed63f194533b31a62dfabaa23ab@o319712.ingest.sentry.io/2234797 npm-run-all build-css build-js",
    "build:stage": "REACT_APP_HOST_ENV=STAGE REACT_APP_PENTA_BUSINESS_ID=85443d795a83479d85a5db30780c8e01 REACT_APP_LD_CLIENT_ID=5d075dd2517bc00765d02262 REACT_APP_REFERRAL_API=https://referral.internal.stage-de.getpenta.com/rfrrl REACT_APP_SENTRY_DSN=https://fafa9ed63f194533b31a62dfabaa23ab@o319712.ingest.sentry.io/2234797 npm-run-all build-css build-js",
    "build:corona": "REACT_APP_HOST_ENV=CORONA REACT_APP_PENTA_BUSINESS_ID=5a4e2090a5444bbe99efde8f6ed41b76 REACT_APP_LD_CLIENT_ID=5cf5473623afbb076afabdc4 REACT_APP_REFERRAL_API=https://referral.internal.corona.getpenta.com/rfrrl REACT_APP_SENTRY_DSN=https://fafa9ed63f194533b31a62dfabaa23ab@o319712.ingest.sentry.io/2234797 npm-run-all build-css build-js",
    "build:prod": "REACT_APP_HOST_ENV=PROD REACT_APP_PENTA_BUSINESS_ID=05d6f1acd2a2495d97b645cba1f3f77e REACT_APP_LD_CLIENT_ID=5cf5473623afbb076afabdc5 REACT_APP_REFERRAL_API=https://referral.internal.prod-de.getpenta.com/rfrrl REACT_APP_SENTRY_DSN=https://fafa9ed63f194533b31a62dfabaa23ab@o319712.ingest.sentry.io/2234797 npm-run-all build-css build-js",
    "test": "react-scripts test --env=jsdom",
    "eject": "react-scripts eject",
    "precommit": "lint-staged",
    "lint-fix": "eslint --fix 'src/**/*.js'",
    "prettier-fix": "prettier --single-quote --no-semi --write 'src/**/*.js'"
  },
  "jest": {
    "collectCoverageFrom": [
      "src/**/*.{js,ts,tsx}"
    ]
  },
  "lint-staged": {
    "*.js": [
      "eslint --fix",
      "prettier --single-quote --no-semi --write",
      "git add"
    ]
  },
  "browserslist": [
    ">0.2%",
    "not dead",
    "not ie <= 11",
    "not op_mini all"
  ]
}
